//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------

package org.huihoo.workflow.samples;

import java.math.BigInteger;

public class Test
{

	public static void main(String[] args)
	{
		String str1 = "123456789012345678911";
		BigInteger bi1 =new BigInteger(str1,10);
  
		String str2 = "1234567890123456789";
		BigInteger bi2=new BigInteger(str2,10);
   
		BigInteger bi3 = bi1.remainder(bi2);
		System.out.println("toString : "+bi3.toString());
	}
}
